Subject: [Pce] [Technical Errata Reported] RFC5557 (3672)

From: RFC Errata System <[email-masked]>
Date: Thu, 27 Jun 2013 03:03:31 -0700 (PDT)

The following errata report has been submitted for RFC5557,
"Path Computation Element Communication Protocol (PCEP) Requirements and Protocol Extensions in Support of Global Concurrent Optimization".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5557&eid=3672

--------------------------------------
Type: Technical
Reported by: Cyril Margaria <[email-masked]>

Section: 5

Original Text
-------------
   The <svec-list> is changed as follows:

   <svec-list> ::= <SVEC>
                   [<OF>]
                   [<GC>]
                   [<XRO>]
                   [<svec-list>]

Corrected Text
--------------
   The <svec-list> is changed as follows:

   <svec-list> ::= <SVEC>
                   [<OF>]
                   [<GC>]
                   [<XRO>]
                   [<metric-list>]
                   [<svec-list>]

Notes
-----
RFC5440 defines <svec-list>::=<SVEC>[<svec-list>]
RFC5541 extend <svec-list> as follows:
         <svec-list> ::= <SVEC>
                         [<OF>]
                         [<metric-list>]
                         [<svec-list>]

RFC5557 should include all the elements defined by the RFCs its extending.
The position of the metric-list may be kept after the [<OF>]

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5557 (draft-ietf-pce-global-concurrent-optimization-10)
--------------------------------------
Title               : Path Computation Element Communication Protocol (PCEP) Requirements and Protocol Extensions in Support of Global Concurrent Optimization
Publication Date    : July 2009
Author(s)           : Y. Lee, JL. Le Roux, D. King, E. Oki
Category            : PROPOSED STANDARD
Source              : Path Computation Element
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Ramon Casellas <[email-masked]>
Date: Thu, 27 Jun 2013 12:34:31 +0200

El 27/06/2013 12:03, RFC Errata System escribió:
> (snip)
(snip)

All,

I am afraid this requires further discussions since it affects other 
documents and the implications are far fetching.... maybe erratas should 
also be reported for rfc5541?

Additional comments:

*** RFC5541 states ($3.2)
"If an objective function is to be applied to a set of synchronized path 
computation requests, the OF object MUST be carried just after the 
corresponding SVEC"
"Similarly, if a metric is to be applied to a set of synchronized 
requests, the METRIC object MUST follow the SVEC object and MUST NOT be 
repeated for each elementary request"

First, being picky, these two statements are slightly contraditory 
(although the actual intent can be inferred from the RBNF which is SVEC, 
OF, <metric-list>) however

***  I wonder why the (suggested or simply given) order is reverted when 
defining individual requests:

  <svec-list> ::= <SVEC>
                  [<OF>]
                  [<metric-list>]

   <request> ::= <RP> ...
                 [<metric-list>]
                 [<OF>]

My humble suggestion could be, maybe

  <svec-list> ::= <SVEC>
                  [<OF>]
                  [<metric-list>]
                  [<GC>]
                  [<XRO>]
                  [<svec-list>]

And also update <request> ::= to reflect this?

*** RFC5541
"

    When the PCE wants to indicate to the PCC the objective function that
    was used for the synchronized computation of a set of paths, the
    PCRep message MUST include the corresponding SVEC object directly
    followed by the OF object, (...)If a metric is applicable to the set of paths,
    the METRIC object MUST directly follow the SVEC object"

*** RFC 5541 could also indicate <metric-list> after OF and not LSPA or 
bandwidth (imho current RBNF this is contradictory)

  <attribute-list> ::= [<OF>]
                       [<LSPA>]
                       [<BANDWIDTH>]
                       [<metric-list>]
                       [<IRO>]

*** RFC5557 should also define the new RBNF for the PCRep message, since 
it may contain also SVEC

In short, I am still unsure how to proceed.